## view.page
Class ErrorPage

    java.lang.Object
      view.GoResponse
          view.page.GoPage
              view.page.ErrorPage

    public class ErrorPage

extends GoPage

Constructor Summary
`ErrorPage(java.lang.String msg)` Constructs the page with a simple error message.
`ErrorPage(java.lang.String msg, java.lang.Exception exception)` Constructs the page with a message and an exception stack trace.

Method Summary
`private static java.lang.String` `getStackTrace(java.lang.Exception exception)` Produces a String representation for an exception stack trace, adding a newline after each method invocation.

Methods inherited from class view.page.GoPage
`getContent, getSource, getSource, setOnLoad, setTitleText`

Methods inherited from class view.GoResponse
`addCookie, getCookies`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorPage

    public ErrorPage(java.lang.String msg)

  Constructs the page with a simple error message.

  Parameters:
    `msg` - the error message to display.

### ErrorPage

    public ErrorPage(java.lang.String msg,
                     java.lang.Exception exception)

  Constructs the page with a message and an exception stack trace.

  Parameters:
    `msg` - the error message to display
    `exception` - the exception to display

Method Detail

### getStackTrace

    private static java.lang.String getStackTrace(java.lang.Exception exception)

  Produces a String representation for an exception stack trace, adding a newline after each method invocation.

  Parameters:
    `exception` - the exception to generate the String from.